Get all expenditures for the session's circle. Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v2/fact-find-circle-expenditures/{factFindSession_uuid}

Path parameters

  • factFindSession_uuid string Required

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of expenditure UUIDs.

  • filter[life_stage_uuid] string

    Filter to expenditures belonging to a given life stage.

  • filter[life_stage_section_uuid] string

    Filter to expenditures belonging to a given life stage section.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, amount]. Negative sign to denote DESC. Defaults to 'position'.

Responses

  • 500 application/json
    Hide response attribute Show response attribute object
    • message string
GET /api/v2/fact-find-circle-expenditures/{factFindSession_uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/fact-find-circle-expenditures/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (500)
{
  "message": "Server Error"
}